/*
  +----------------------------------------------------------------------+
  | PHP Version 7                                                        |
  +----------------------------------------------------------------------+
  | Copyright (c) 1997-2006 The PHP Group, (c) 2008-2015 Dmitry Zenovich |
  | (c) 2016-2019 Tyson Andre                                            |
  +----------------------------------------------------------------------+
  | This source file is subject to the new BSD license,                  |
  | that is bundled with this package in the file LICENSE, and is        |
  | available through the world-wide-web at the following url:           |
  | http://www.opensource.org/licenses/BSD-3-Clause                      |
  | or at https://github.com/runkit7/runkit7/blob/master/LICENSE         |
  +----------------------------------------------------------------------+
  | Author: Sara Golemon <pollita@php.net>                               |
  | Modified by Dmitry Zenovich <dzenovich@gmail.com>                    |
  | Modified by Tyson Andre <tysonandre775@hotmail.com>                  |
  +----------------------------------------------------------------------+
*/

#include "runkit.h"

/* {{{ proto int runkit7_object_id(object instance)
Fetch the Object Handle ID from an instance */
PHP_FUNCTION(runkit7_object_id)
{
	zval *obj;

	ZEND_PARSE_PARAMETERS_START(1, 1)
		Z_PARAM_OBJECT(obj)
	ZEND_PARSE_PARAMETERS_END_EX(RETURN_FALSE);

	RETURN_LONG(Z_OBJ_HANDLE_P(obj));
}
/* }}} */

#ifdef PHP_RUNKIT_PROVIDES_SPL_OBJECT_ID
/* {{{ proto int spl_object_id(object instance)
Fetch the Object Handle ID from an instance */
PHP_FUNCTION(spl_object_id)
{
	zval *obj;

	ZEND_PARSE_PARAMETERS_START(1, 1)
		Z_PARAM_OBJECT(obj)
	ZEND_PARSE_PARAMETERS_END_EX(RETURN_NULL());

	RETURN_LONG(Z_OBJ_HANDLE_P(obj));
}
/* }}} */
#endif

/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 * vim600: noet sw=4 ts=4 fdm=marker
 * vim<600: noet sw=4 ts=4
 */
